Requirements

Server

Linux

DSS must be installed on a Linux x86-64 server.

The following Linux distributions are fully supported, in 64-bit version only:

  • Red Hat Enterprise Linux, version 7.3 and later 7.x
  • Red Hat Enterprise Linux, versions 8.x
  • CentOS, version 7.3 and later 7.x
  • CentOS, versions 8.x
  • Ubuntu Server, versions 16.04 LTS, 18.04 LTS and 20.04 LTS
  • Debian, versions 9.x and 10.x
  • Oracle Linux, version 7.3 and later 7.x
  • Oracle Linux, versions 8.x
  • Amazon Linux, versions 2017.03 to 2018.03
  • Amazon Linux 2 (Tier 2 support: Support of Amazon Linux 2 is covered by Tier 2 support)
  • SUSE Linux Enterprise Server 12 SP2 to SP5
  • SUSE Linux Enterprise Server 15 and 15 SP1

The following Linux distributions are supported, in 64-bit version only, but are NOT recommended for new installations, as their base platform are outdated and may pose compatibility problems with future evolutions of DSS:

  • CentOS, version 6.8 and later 6.x
  • Red Hat Enterprise Linux, version 6.8 and later 6.x
  • Oracle Linux, version 6.8 and later 6.x

These distributions should be up-to-date with respect to Linux patches and updates.

Note

Running on a system with Security-Enhanced Linux (SELinux) in enforcing mode is not supported.

RAM

A minimum of 16 GB of RAM is required. More RAM will be required if you intend to load large datasets in memory (for example in the Jupyter notebook component), or for accomodating more users.

System

The hard limit on the maximum number of open files for the Unix user account running DSS should be at least 65536 (ulimit -Hn). For very large DSS instances, larger values may be required.

The hard limit on the maximum number of user processes for the Unix user account running DSS should be at least 65536 (ulimit -Hu). For very large DSS instances, larger values may be required.

The en_US.utf8 locale must be installed.

Filesystem

Warning

  • NFS V3 is known not to work and is not supported as the filesystem for installing DSS
  • Amazon EFS is known not to work and is not supported as the filesystem for installing DSS
  • NFS V4 is not supported as the filesystem for installing DSS if UIF is to be used.
  • GlusterFS is known to cause instabilities and is not supported as the filesystem for installing DSS

The filesystem on which DSS is installed must be POSIX compliant, case-sensitive, support POSIX file locks, and symbolic links.

We strongly recommend using XFS or ext4

If DSS is to be installed with User Isolation Framework enabled, the filesystem containing the data directory must support POSIX access control lists (ACLs). In particular, it is not possible to host the DSS data directory on a NFSv4 remote filesystem in User Isolation Framework mode, as NFSv4 ACLs are different from, and not compatible with POSIX ACLs.

Note

Dataiku makes no particular recommendation as to the underlying block device. In particular, Dataiku does not have experience working with DRDB as the underlying block device and cannot provide recommendations about it.

macOS

Note

The macOS version is only available for experimentation and evaluation purpose, it is not supported for production usage

DSS can be installed on macOS version 10.12 (Sierra) and later (tested up to 10.15 (Catalina)).

8 GB of RAM is required. More RAM can be required if you intend to load large datasets in memory (for example in the IPython notebook component).

Browser support

Dataiku DSS is accessed over a Web browser.

The following browsers are supported:

  • Chrome (latest version)
  • Firefox (latest ESR version)

Warning

Ad blockers

Browser extensions such as Adblock Plus are known to cause serious display and performance issues when using Data Science Studio. It is highly recommended that you add the hostname on which Data Science Studio is deployed to the list of “allowed domains” in your ad blocker configuration.

Warning

Proxy support

Data Science Studio makes use of WebSockets technology. If a proxy is used between the user’s browser and the Data Science Studio server, the proxy must support WebSockets. In case of doubt, it is recommended not to use any proxy between the browser and the Data Science Studio server.